Package oracle.jdbc.xa

## Class OracleMultiPhaseArgs

- java.lang.Object
- - oracle.jdbc.xa.OracleMultiPhaseArgs

    public class OracleMultiPhaseArgs
    extends Object

Utility class.

### Field Summary

Fields
`static boolean` `TRACE`

### Constructor Summary

Constructors
`OracleMultiPhaseArgs()`
`OracleMultiPhaseArgs​(byte[] inBytes)`
`OracleMultiPhaseArgs​(int _action, int _nsites, Vector _xids, Vector _dbLinks)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `debug​(Logger logger, Level level, Executable method, String msg)`
`int` `getAction()`
`Vector` `getdbLinks()`
`int` `getnsite()`
`Vector` `getXids()`
`void` `printMPArgs()`
`byte[]` `toByteArray()`
`ByteArrayOutputStream` `toByteArrayOS()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TRACE

    public static final boolean TRACE

See Also:
  Constant Field Values

### Constructor Detail

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs()

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs​(int _action,
                                int _nsites,
                                Vector _xids,
                                Vector _dbLinks)

#### OracleMultiPhaseArgs

    public OracleMultiPhaseArgs​(byte[] inBytes)

### Method Detail

#### toByteArray

    public byte[] toByteArray()

#### toByteArrayOS

    public ByteArrayOutputStream toByteArrayOS()

#### getAction

    public int getAction()

#### getnsite

    public int getnsite()

#### getdbLinks

    public Vector getdbLinks()

#### getXids

    public Vector getXids()

#### printMPArgs

    public void printMPArgs()

#### debug

    protected void debug​(Logger logger,
                         Level level,
                         Executable method,
                         String msg)